package jalview.ws.dbsources;

import static org.testng.Assert.assertEquals;

import jalview.bin.Cache;

import org.testng.annotations.BeforeClass;
import org.testng.annotations.Test;

public class PfamFullTest
{
  @BeforeClass(alwaysRun = true)
  public void setUp()
  {
    Cache.loadProperties("test/jalview/io/testProps.jvprops");
  }

  @Test(groups = "Functional")
  public void testGetURL()
  {
    // with default value for domain
    String url = new PfamFull().getURL(" abc ");
    assertEquals(url, "http://pfam.xfam.org/family/ABC/alignment/full");

    // with override in properties
    Cache.setProperty("PFAM_DOMAIN", "https://pfam.xfam.org");
    url = new PfamFull().getURL(" abc ");
    assertEquals(url, "https://pfam.xfam.org/family/ABC/alignment/full");
  }
}
